#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 record-dot-preprocessor
version:              0.2.7
visibility:           public
id:                   record-dot-preprocessor-0.2.7-LhgVxvPuR6iEUUtLTKdbi6
key:                  record-dot-preprocessor-0.2.7-LhgVxvPuR6iEUUtLTKdbi6
license:              BSD-3-Clause
copyright:            Neil Mitchell 2018-2020
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:
    https://github.com/ndmitchell/record-dot-preprocessor#readme

synopsis:             Preprocessor to allow record.field syntax
description:
    In almost every programming language @a.b@ will get the @b@ field from the @a@ data type, and many different data types can have a @b@ field.
    The reason this feature is ubiquitous is because it'\''s /useful/.
    The @record-dot-preprocessor@ brings this feature to Haskell - see the README for full details.

category:             Development
abi:                  7d6588349d6e735aed43a31685346115
exposed:              True
exposed-modules:      RecordDotPreprocessor
hidden-modules:       Compat
import-dirs:
    /usr/lib/ghc-8.10.2/site-local/record-dot-preprocessor-0.2.7

library-dirs:
    /usr/lib/ghc-8.10.2/site-local/record-dot-preprocessor-0.2.7

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.2/record-dot-preprocessor-0.2.7

hs-libraries:         HSrecord-dot-preprocessor-0.2.7-LhgVxvPuR6iEUUtLTKdbi6
depends:
    base-4.14.1.0 extra-1.7.8-Kmp7a6LjiXo1SeamIxue6p ghc-8.10.2
    uniplate-1.6.13-AnZoHmkJ7xsC3WYOvMVp6C

haddock-interfaces:
    /usr/share/doc/haskell-record-dot-preprocessor/html/record-dot-preprocessor.haddock

haddock-html:         /usr/share/doc/haskell-record-dot-preprocessor/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

